# List account authorizations List authorizations by account, tenant, or authorization ID. The response is an array of objects ordered by authorization ID. In descending order, the response includes every authorization for the account. Each page contains 20 items per page. If the authorization ID is used in the query parameter, the first record in the result will be the authorization related to this ID and the following results will be in descending order. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Authorization", "version": "1.0.0", "description": "Model for network-authorizations-api development - v1.0", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" }, { "url": "https://api-networktransactions-http-ext.pismolabs.io", "description": "Sandbox API server for migration testing" } ], "tags": [ { "name": "Authorizations" } ], "security": [ { "BearerAuth": [] } ], "components": { "schemas": { "AuthorizationPaginatedResponse": { "type": "object", "properties": { "current_page": { "type": "integer", "description": "Current page", "example": 1 }, "per_page": { "type": "integer", "description": "Records per page", "default": 20, "example": 20 }, "pages": { "type": "integer", "description": "Total number of pages.", "example": 1 }, "total_items": { "type": "integer", "description": "Total number of items.", "example": 1 }, "items": { "type": "array", "description": "Authorization items", "items": { "$ref": "#/components/schemas/AuthorizationPaginatedItemResponse" } } } }, "AuthorizationPaginatedItemResponse": { "type": "object", "properties": { "correlation_id": { "type": "string", "description": "Correlation ID, which is used to link related API requests and events. The Pismo engineering team can use this to track everything related to a call. If one is not passed, it is automatically generated and returned to the client in a response header.", "example": "22222222-2222-2222-2222-222222222222" }, "id": { "type": "integer", "description": "Authorization ID", "example": 1 }, "message_type_indicator": { "$ref": "#/components/schemas/MTI" }, "soft_descriptor": { "type": "string", "description": "Soft descriptor, which is temporary text displayed on the customer statement after a transaction authorization.", "example": "Descriptor" }, "partial_cancellation_total_amount": { "type": "string", "description": "Total amount of partial cancellation.", "example": "1000.51" }, "org_operation_id": { "type": "integer", "description": "Org operation ID.", "example": 10 }, "nsu": { "$ref": "#/components/schemas/NSU" }, "status_id": { "type": "string", "description": "Authorization status ID", "example": "1" }, "authorization_code": { "type": "string", "description": "Authorization code", "example": "ABC123" }, "account_id": { "type": "integer", "description": "Account ID", "example": 123456789 }, "card_id": { "type": "integer", "description": "Card ID", "example": 987654321 }, "cardholder_currency_transaction_amount": { "type": "string", "description": "Transaction amount in cardholder currency.", "example": "20.78" }, "cardholder_currency_code": { "type": "string", "description": "Cardholder currency code.", "example": "986" }, "settlement_currency_code": { "type": "string", "description": "Three-digit code of the settlement currency.", "example": "840" }, "settlement_currency_transaction_amount": { "type": "string", "description": "Transaction amount in settlement currency.", "example": "4.00" }, "entry_mode": { "type": "string", "description": "Entry mode", "example": "051" }, "response_code": { "type": "string", "description": "Response code", "example": "00" }, "merchant_name": { "type": "string", "description": "Merchant name", "example": "Store 007" }, "merchant_city": { "type": "string", "description": "Merchant city", "example": "Sao Paulo" }, "merchant_state_or_country": { "type": "string", "description": "Merchant state or country", "example": "BRA" }, "org_id": { "type": "string", "description": "Org ID or tenant ID", "example": "TN-11111111-1111-1111-1111-111111111111" }, "retrieval_reference_number": { "type": "string", "description": "Retrieval reference number", "example": "9999998877" }, "original_network_transaction_id": { "type": "string", "description": "Original network transaction ID or TID", "example": "987ABB" }, "transmission_datetime": { "type": "string", "format": "date-time", "description": "Transmission date time", "example": "2022-11-30 00:00:00" }, "event_datetime": { "type": "string", "format": "date-time", "description": "Event date time", "example": "2023-11-07 15:02:28" }, "event_datetime_utc": { "type": "string", "description": "Event date and time in UTC.", "example": "2023-11-07 18:02:28" }, "datetime": { "type": "string", "description": "Authorization date and time.", "example": "2023-11-07 15:02:28" }, "local_currency_code": { "type": "string", "description": "Three-digit local currency code", "example": "840" }, "number_of_installments": { "type": "integer", "description": "Number of installments", "example": 1 }, "principal_amount": { "type": "string", "description": "Principal amount", "example": "20.78" }, "local_currency_transaction_amount": { "type": "string", "description": "Transaction amount in local currency.", "example": "4.00" }, "fee_amount": { "type": "string", "description": "Fee amount.", "example": "0.00" }, "cardholder_currency_conversion_rate": { "type": "string", "description": "Cardholder currency conversion rate.", "example": "5.19000000" }, "merchant_category_id": { "type": "integer", "format": "int32", "description": "Merchant Category Code (MCC)", "example": 5199 }, "processing_code": { "type": "string", "description": "Processing code", "example": "00" } } }, "MTI": { "type": "string", "description": "Message type ID. For example: `0100` = auth. request, `0110`` = auth. response, `0120` = auth. advice. For more information, see [MTI](https://en.wikipedia.org/wiki/ISO_8583#Message_type_indicator_(MTI)).\n", "nullable": false, "example": "0100" }, "NSU": { "type": "string", "description": "Authorization Network Settlement Utility (NSU) number - tracks the flow of funds between parties involved in a payment card transaction, including the bank, the merchant, and the card network. Different payment card networks may have their own NSU systems, ie, Visa - VisaNet, Mastercard - BankNet, or they may use a third party.\n", "example": "15469" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "The request is acceptable but the syntax is malformed, for example, some type number parameter with a text content." }, "403Forbidden": { "description": "Access forbidden." }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/direct-network-transactions/v1/authorizations/desc": { "get": { "summary": "List account authorizations", "description": "List authorizations by account, tenant, or authorization ID. The response is an array of objects ordered by authorization ID. In descending order, the response includes every authorization for the account. Each page contains 20 items per page. If the authorization ID is used in the query parameter, the first record in the result will be the authorization related to this ID and the following results will be in descending order.", "operationId": "get-network-authorizations", "tags": [ "Authorizations" ], "parameters": [ { "name": "authorization-id", "in": "query", "schema": { "type": "string" }, "required": false, "example": "12345", "description": "Authorization ID" }, { "name": "page", "in": "query", "schema": { "type": "string" }, "required": false, "example": "1", "description": "Indicates the selected page" } ], "responses": { "200": { "description": "Records found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AuthorizationPaginatedResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```